﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartScatterDateCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < 50; i++)
            {
                Data.Add(new SampleData()
                {
                    Date = DateTime.Today.AddDays(i),
                    YValue = r.Next(100, 1900),                    
                });
            }

            foreach (SampleData SD in Data)
            {
                SD.Ticks = SD.Date.Ticks;
            }
        }
    }

    public class SampleData
    {
        public DateTime Date { get; set; }
        public long Ticks { get; set; }
        public int YValue { get; set; }
    }
}
